La importación del módulo Flutter IOS falló

Tengo MacBook Air M1. Cuando intento crear una aplicación flutter en el simulador de iPhone con VS Code, tengo los siguientes errores de importación del módulo:

Error output from Xcode build:
↳
    objc[5514]: Class AMSupportURLConnectionDelegate is implemented in both /usr/lib/libauthinstall.dylib (0x1f750eb90) and /Library/Apple/System/Library/PrivateFrameworks/MobileDevice.framework/Versions/A/MobileDevice (0x103bd42c8). One of the two will be used. Which one is undefined.
    objc[5514]: Class AMSupportURLSession is implemented in both /usr/lib/libauthinstall.dylib (0x1f750ebe0) and /Library/Apple/System/Library/PrivateFrameworks/MobileDevice.framework/Versions/A/MobileDevice (0x103bd4318). One of the two will be used. Which one is undefined.
    ** BUILD FAILED **
Xcode's output:
↳
    While building module 'Flutter' imported from /Users/egemen/Desktop/fsc_music_app-main/ios/Runner/GeneratedPluginRegistrant.h:10:
    While building module 'UIKit' imported from /Users/egemen/Desktop/fsc_music_app-main/build/ios/Debug-iphonesimulator/Flutter.framework/Headers/FlutterAppDelegate.h:8:
    While building module 'Foundation' imported from /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneSimulator.platform/Developer/SDKs/iPhoneSimulator15.2.sdk/System/Library/Frameworks/UIKit.framework/Headers/UIKit.h:8:
    In file included from <module-includes>:1:
    In file included from /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneSimulator.platform/Developer/SDKs/iPhoneSimulator15.2.sdk/System/Library/Frameworks/Foundation.framework/Headers/Foundation.h:12:
    /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneSimulator.platform/Developer/SDKs/iPhoneSimulator15.2.sdk/System/Library/Frameworks/Foundation.framework/Headers/NSBundle.h:91:143: error: function does not return NSString
    - (NSAttributedString *)localizedAttributedStringForKey:(NSString *)key value:(nullable NSString *)value table:(nullable NSString *)tableName NS_FORMAT_ARGUMENT(1) NS_REFINED_FOR_SWIFT API_AVAILABLE(macos(12.0), ios(15.0), watchos(8.0), tvos(15.0)); 

¿Como puedo resolver este problema?

Answer